# TdApi.GetUserChatBoosts (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetUserChatBoosts

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetUserChatBoosts

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundChatBoosts>
it.tdlight.jni.TdApi.GetUserChatBoosts

Enclosing class:
  TdApi

public static final class TdApi.GetUserChatBoosts extends TdApi.Function<TdApi.FoundChatBoosts>
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.

Returns `FoundChatBoosts`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`userId`
Identifier of the user.

## Constructor Summary

Constructors
Constructor
Description
`GetUserChatBoosts()`
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.
`GetUserChatBoosts(long chatId, long userId)`
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.
`GetUserChatBoosts(DataInput input)`
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### userId

public long userId
Identifier of the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetUserChatBoosts

public GetUserChatBoosts()
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.

Returns `FoundChatBoosts`

### GetUserChatBoosts

public GetUserChatBoosts(long chatId, long userId)
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.

Returns `FoundChatBoosts`

Parameters:
  `chatId` - Identifier of the chat.
  `userId` - Identifier of the user.

  Returns `FoundChatBoosts`

### GetUserChatBoosts

public GetUserChatBoosts(DataInput input) throws IOException
Returns list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.

Returns `FoundChatBoosts`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`